//
//  ScrollViewViewController.m
//  ScrollView
//
//  Created by Neelam Roy on 4/8/10.
//  Copyright __MyCompanyName__ 2010. All rights reserved.
//

#import "ScrollViewViewController.h"

@implementation ScrollViewViewController
@synthesize mscrollview;


// To load the Scroll View
- (void)viewWillAppear:(BOOL)animated {
   	[super viewWillAppear:animated];
	
	[[NSNotificationCenter defaultCenter] addObserver: self 
											 selector: @selector(keyboardWasShown:)
												 name: UIKeyboardDidShowNotification 
											   object: nil];
	
    [[NSNotificationCenter defaultCenter] addObserver: self
											 selector: @selector(keyboardWasHidden:)
												 name: UIKeyboardDidHideNotification 
											   object: nil];
	
	//keyboardShown = NO; // 1
	
   	mscrollview.frame = CGRectMake(0, 0, 320, 460);
	mscrollview.contentSize = CGSizeMake(320, 800);
	
}

- (void)didReceiveMemoryWarning {
	// Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
	
	// Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
	// Release any retained subviews of the main view.
	// e.g. self.myOutlet = nil;
}


- (void)dealloc {
	[mscrollview release];
    [super dealloc];
}

@end
